package HSPC::ErrorStack;
use SWsoft::protect; ## automatic

use strict;
use Carp;
use HSPC::Localization qw(:DEFAULT string string_lang);
use MIME::Base64;
use HSPC::Error;

use HSPC::Logger qw(sw_die sw_log_debug);

sub new
{
    my $class = shift;
    my $self;

    $self->{error_stack} = [];

    bless ($self, $class);
    return $self;
}

sub DESTROY
{
    # Close database connection
}

sub get_last_error
{
	return undef; ## Not needed for shared PBA
}

sub get
{
	return undef; ## Not needed for shared PBA
}

sub get_error_message
{
	return undef; ## Not needed for shared PBA
}

sub get_last_error_message
{
	return undef; ## Not needed for shared PBA
}

sub get_stack
{
	return undef; ## Not needed for shared PBA
}

sub get_stack_as_text {
	return undef; ## Not needed for shared PBA
}

sub set_full_error
{
	return undef; ## Not needed for shared PBA
}

sub set_last_error
{
	return undef; ## Not needed for shared PBA
}

sub set
{
	return undef; ## Not needed for shared PBA
}

sub get_module_id
{
	return undef; ## Not needed for shared PBA
}

sub get_submodule_id
{
	return undef; ## Not needed for shared PBA
}

sub get_error_id
{
	return undef; ## Not needed for shared PBA
}

sub get_error_params
{
	return undef; ## Not needed for shared PBA
}

sub ext2normal_code
{
	return undef; ## Not needed for shared PBA
}

sub is_extended_code
{
	return undef; ## Not needed for shared PBA
}

sub make_full_error_code
{
	return undef; ## Not needed for shared PBA
}

sub clear_last_error
{
	return undef; ## Not needed for shared PBA
}

sub clear_stack
{
	return undef; ## Not needed for shared PBA
}

sub is_stack_empty
{
	return undef; ## Not needed for shared PBA
}

1;

__END__