## root class of hspc exceptions
package HSPC::Exc::TransDeclined;
use strict;
use SWsoft::protect;
use HSPC::Trace;
use HSPC::Exc;

use vars qw{@ISA};
@ISA = qw{HSPC::Exc};

## constructor
sub new {
	my $class = shift;

	my %h = (
		payment_id   => undef,
		@_
	);

    my $self = $class->SUPER::new(%h);

	$self->{'__payment_id'} = $h{'payment_id'};

	return $self;
};

sub payment_id {
	my $self = shift;
	return $self->{'__payment_id'};
}

1;
