package HSPC::MT::Plugin::PP::OP_Assist;

use Data::Dumper;
use HSPC::MT::Plugin::PP::OP_Assist::V1;
use HSPC::MT::Plugin::PP::OP_Assist::V2;
use vars qw{@ISA};

sub get_title
{
	my $me = shift;
	$me->_prepare_api(@_);
	return $me->SUPER::get_title(@_);
}

sub process_sale
{
	my $me = shift;
	$me->_prepare_api(@_);
	return $me->SUPER::process_sale(@_);
}

sub collect_transaction_refno
{
	my $me = shift;
	$me->_prepare_api(@_);
	return $me->SUPER::collect_transaction_refno(@_);
}

sub process_callback
{
	my $me = shift;
	$me->_prepare_api(@_);
	return $me->SUPER::process_callback(@_);
}

sub process_check_status
{
	my $me = shift;
	$me->_prepare_api(@_);
	return $me->SUPER::process_check_status(@_);
}

sub get_currencies_supported
{
	my $me = shift;
	$me->_prepare_api(@_);
	return $me->SUPER::get_currencies_supported(@_);
}

sub _prepare_api
{
	my $me = shift;
	my %h = (@_);
	if ($h{"config"}->{"old_api"}) {
		@ISA = qw{HSPC::MT::Plugin::PP::OP_Assist::V1};
	} else {
		@ISA = qw{HSPC::MT::Plugin::PP::OP_Assist::V2};
	}
}

1;