package HSPC::ParamsValidate;


use strict;


use SWsoft::protect;

use Params::Validate qw(:all);
use base qw(Params::Validate Exporter);


our @EXPORT ;
@EXPORT = @Params::Validate::EXPORT_OK;
push @EXPORT,'validate_params';


use HSPC::Logger qw(sw_die);


sub validate_params {
	my $t = pop(@_);
	return validate_with(
		params		=> \@_,
		spec		=> $t,
		on_fail		=> \&sw_die,
		stack_skip	=> 2,
	);
}


1;
