package HSPC::Plugin::SOAP::Common;

use strict;

use HSPC::Plugin::SOAP;
use HSPC::Plugin::API::Common;

use vars qw(@ISA);
@ISA = qw(HSPC::Plugin::API::Common);

=begin WSDL

 _IN		plugin_type $string _NEEDED
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub get_plugins
{
	my $me = shift;
	return $me->SUPER::get_plugins(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::HelpPageRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub get_help_page
{
	my $me = shift;
	return $me->SUPER::get_help_page(@_);
}

1;
