package HSPC::Plugin::SOAP::DM;

use strict;

use HSPC::Plugin::SOAP;
use HSPC::Plugin::API::DM;

use vars qw{@ISA};

@ISA = qw{HSPC::Plugin::API::DM};

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::FormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub view_config_form
{
	my $me = shift;
	return $me->SUPER::view_config_form(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::FormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub edit_config_form
{
	my $me = shift;
	return $me->SUPER::edit_config_form(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::FormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub collect_config_data
{
	my $me = shift;
	return $me->SUPER::collect_config_data(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::CheckCapabilityRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub check_capability
{
	my $me = shift;
	return $me->SUPER::check_capability(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::CheckDomainsRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub check_register
{
	my $me = shift;
	return $me->SUPER::check_register(@_);
}

=begin WSDL

 _IN		template_id $string _NEEDED Template ID.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub get_contact_types
{
	my $me = shift;
	return $me->SUPER::get_contact_types(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::EditContactFormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub edit_contact_form
{
	my $me = shift;
	return $me->SUPER::edit_contact_form(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::EditContactFormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub collect_contacts_data
{
	my $me = shift;
	return $me->SUPER::collect_contacts_data(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::EditDomainExtdataFormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub edit_domain_extdata_form
{
	my $me = shift;
	return $me->SUPER::edit_domain_extdata_form(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::EditDomainExtdataFormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub collect_domain_extdata
{
	my $me = shift;
	return $me->SUPER::collect_domain_extdata(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::ValidateDataRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub validate_data
{
	my $me = shift;
	return $me->SUPER::validate_data(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::RegisterDomainRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub register_domain
{
	my $me = shift;
	return $me->SUPER::register_domain(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::GetDomainStatusRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub get_domain_status
{
	my $me = shift;
	return $me->SUPER::get_domain_status(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::DM::SyncDomainNSRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub synchronize_domain_ns
{
	my $me = shift;
	return $me->SUPER::synchronize_domain_ns(@_);
}

1;

__END__
