package HSPC::Plugin::SOAP::PM;

use strict;

use HSPC::Plugin::SOAP;
use HSPC::Plugin::API::PM;

use vars qw{@ISA};

@ISA = qw{HSPC::Plugin::API::PM};

=begin WSDL

 _IN args	$HSPC::Plugin::SOAP::Struct::PM::FormRequest _NEEDED Incoming argument.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub add_form
{
	my $me = shift;
	return $me->SUPER::add_form(@_);
}

=begin WSDL

 _IN args	$HSPC::Plugin::SOAP::Struct::PM::FormRequest _NEEDED Incoming argument.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub view_form
{
	my $me = shift;
	return $me->SUPER::view_form(@_);
}

=begin WSDL

 _IN args	$HSPC::Plugin::SOAP::Struct::PM::FormRequest _NEEDED Incoming argument.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub edit_form
{
	my $me = shift;
	return $me->SUPER::edit_form(@_);
}

=begin WSDL

 _IN args	$HSPC::Plugin::SOAP::Struct::PM::FormRequest _NEEDED Incoming argument.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub validate
{
	my $me = shift;
	return $me->SUPER::validate(@_);
}

=begin WSDL

 _IN args	$HSPC::Plugin::SOAP::Struct::PM::FormRequest _NEEDED Incoming argument.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub collect_data
{
	my $me = shift;
	return $me->SUPER::collect_data(@_);
}

=begin WSDL

 _IN 		template_id $string _NEEDED Incoming argument.
 _IN 		data $anyType _NEEDED Incoming argument.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub get_secure_data
{
	my $me = shift;
	return $me->SUPER::get_secure_data(@_);
}

=begin WSDL

 _IN 		template_id $string _NEEDED Incoming argument.
 _IN 		data $anyType _NEEDED Incoming argument.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub get_public_data
{
	my $me = shift;
	return $me->SUPER::get_public_data(@_);
}

=begin WSDL

 _IN 		template_id $string _NEEDED Incoming argument.
 _IN 		secure_data $anyType _NEEDED Incoming argument.
 _IN 		public_data $anyType _NEEDED Incoming argument.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub get_public_number
{
	my $me = shift;
	return $me->SUPER::get_public_number(@_);
}

1;
