package HSPC::Plugin::SOAP::PP;

use strict;

use HSPC::Plugin::SOAP;
use HSPC::Plugin::API::PP;

use vars qw{@ISA};

@ISA = qw{HSPC::Plugin::API::PP};

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::PP::FormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub view_form
{
	my $me = shift;
	return $me->SUPER::view_form(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::PP::FormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub edit_form
{
	my $me = shift;
	return $me->SUPER::edit_form(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::PP::FormRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub collect_data
{
	my $me = shift;
	return $me->SUPER::collect_data(@_);
}

=begin WSDL

 _IN		template_id $string _NEEDED Plugin's template ID aka 'BT_DTAUS'.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub get_supported_payment_method_types
{
	my $me = shift;
	return $me->SUPER::get_supported_payment_method_types(@_);
}

=begin WSDL

 _IN		template_id $string _NEEDED Plugin's template ID aka 'BT_DTAUS'.
 _IN		transaction_type $string _NEEDED CCP transaction's type to be checked.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub is_trans_type_supported
{
	my $me = shift;
	return $me->SUPER::is_trans_type_supported(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::PP::ProcessBatchContentRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub process_batch_content
{
	my $me = shift;
	return $me->SUPER::process_batch_content(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::PP::ProcessTransactionRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub process_transaction
{
	my $me = shift;
	return $me->SUPER::process_transaction(@_);
}

=begin WSDL

 _IN		args $HSPC::Plugin::SOAP::Struct::PP::CollectRefNumRequest _NEEDED Incoming arguments.
 _RETURN	$HSPC::Plugin::SOAP::Struct::APIResult Return.

=end WSDL

=cut

sub collect_reference_number
{
	my $me = shift;
	return $me->SUPER::collect_reference_number(@_);
}

1;
