package HSPC::Plugin::SOAP::Struct::Account;

=begin WSDL

 _ATTR name			$string _NEEDED Full name or Company Name (when account is corporate).
 _ATTR admin		$HSPC::Plugin::SOAP::Struct::Contact _NEEDED Administrative contact.
 _ATTR billing		$HSPC::Plugin::SOAP::Struct::Contact _NEEDED Billing contact.
 _ATTR technical	$HSPC::Plugin::SOAP::Struct::Contact Technical contact.
 _ATTR is_corporate	$boolean Marks account as corporate.

=end WSDL

=cut

sub new
{
	my $me = shift;

	return bless {
		"name" => undef,
		"admin" => undef,
		"billing" => undef,
		"technical" => undef,
		"is_corporate" => 0,
	} => $me;
}

1;
