package HSPC::Plugin::SOAP::Struct::DM::RegisterDomainRequest;

=begin WSDL

 _ATTR language			$string F.e. EN, RU etc.
 _ATTR template_id		$string _NEEDED F.e. PP_Dummy.
 _ATTR plugin_data		$anyType _NEEDED HASH.
 _ATTR domain			$string _NEEDED Domain name.
 _ATTR period			$string _NEEDED Domain period for registration.
 _ATTR nses				$anyType _NEEDED NSset.
 _ATTR contacts			$anyType _NEEDED Contacts data.
 _ATTR contacts_extdata	$anyType _NEEDED Contacts extra data.
 _ATTR domain_extdata	$anyType _NEEDED Domain extra data.

=end WSDL

=cut

sub new
{
	return bless {
		"language"		=> "EN",
		"template_id"	=> undef,
		"plugin_data"	=> undef,
		"domain"		=> undef,
		"period"		=> undef,
		"nses"			=> undef,
		"contacts"		=> undef,
		"contacts_extdata"	=> undef,
		"domain_extdata"	=> undef,
	} => shift;
}

1;
