package HSPC::Plugin::SOAP::Struct::HelpPageRequest;

=begin WSDL

_ATTR language		$string F.e. EN, RU etc.
_ATTR plugin_type	$string _NEEDED F.e. PP.
_ATTR template_id	$string _NEEDED F.e. PP_Dummy.
_ATTR action		$string _NEEDED add, edit, view.
_ATTR customer_view	$boolean Get page for customer only.

=end WSDL

=cut

sub new
{
	return bless {
		"language"		=> "EN",
		"plugin_type"	=> undef,
		"template_id"	=> undef,
		"action"		=> undef,
		"customer_view"	=> 0,
	} => shift;
}

1;
