package HSPC::Plugin::SOAP::Struct::PM::FormRequest;

=begin WSDL

 _ATTR language			$string F.e. EN, RU etc.
 _ATTR template_id		$string _NEEDED F.e. PP_Dummy.
 _ATTR secure_data		$anyType _NEEDED Incoming argument.
 _ATTR public_data		$anyType _NEEDED Incoming argument.
 _ATTR name				$string _NEEDED Incoming argument.
 _ATTR account_data		$HSPC::Plugin::SOAP::Struct::Account Incoming argument.
 _ATTR request_context	$anyType _NEEDED HASH.

=end WSDL

=cut

sub new
{
	return bless {
		"language"			=> "EN",
		"template_id"		=> undef,
		"secure_data"		=> undef,
		"public_data"		=> undef,
		"name"				=> undef,
		"account_data"		=> undef,
		"request_context"	=> undef,
	} => shift;
}

1;
