package HSPC::Plugin::SOAP::Struct::PP::PaymentMethod;

=begin WSDL

 _ATTR public_data	$anyType	_NEEDED Public Data.
 _ATTR secure_data	$anyType	_NEEDED Secure Data.
 _ATTR expire_date	$string				Card expiration date.
 _ATTR type			$string				Card type.

=end WSDL

=cut

sub new
{
	my $me = shift;

	return bless {
		"public_data"	=> undef,
		"secure_data"	=> undef,
		"expire_date"	=> undef,
		"type"			=> undef,
	} => $me;
}

1;
