package HSPC::Plugin::SOAP::Struct::PP::Transaction;

=begin WSDL

 _ATTR document_info		$HSPC::Plugin::SOAP::Struct::PP::DocumentInfo _NEEDED Full Information about document.
 _ATTR payment_method		$HSPC::Plugin::SOAP::Struct::PP::PaymentMethod _NEEDED Information about payment method.
 _ATTR account_info			$HSPC::Plugin::SOAP::Struct::Account _NEEDED Customer's account information.
 _ATTR transaction_id		$string		_NEEDED Transaction ID.
 _ATTR transaction_amount	$float		_NEEDED Transaction Amount.
 _ATTR currency_iso			$string		_NEEDED Currency in ISO format: EUR, USD, RUR etc.

=end WSDL

=cut

sub new
{
	my $me = shift;

	return bless {
		"document_info"			=> undef,
		"payment_method"		=> undef,
		"account_info"			=> undef,
		"transaction_id"		=> undef,
		"transaction_amount"	=> undef,
		"currency_iso"			=> "EUR",
	} => $me;
}

1;
