package HSPC::Plugin::SOAP::Struct::Phone;

=begin WSDL

_ATTR country_code	$string _NEEDED Country Code of the phone location.
_ATTR area_code		$string Area Code of the phone location.
_ATTR number		$string _NEEDED Phone number.
_ATTR extension		$string Phone extension number.

=end WSDL

=cut

sub new
{
	my $me = shift;

	return bless {
		"country_code"	=> undef,
		"area_code"		=> undef,
		"number"		=> undef,
		"extension"		=> undef,
	} => $me;
}

1;
