package HSPC::Plugin::SOAP::WebServices;

use strict;

use HSPC::Plugin::SOAP;
use HSPC::Plugin::SOAP::Struct;
use HSPC::Config;
use Pod::WSDL;

sub WSDL($)
{
	my $me = shift;
	my $service = shift;

	my $wsdl_pod = Pod::WSDL->new(
		'source' => $service,
		'location' => "https://".$CONFIG{SERVER_NAME}.":".$CONFIG{SERVER_PORT}."/".$service,
		'pretty' => 1,
		'withDocumentation' => 1,
	);

	return SOAP::Data->type("string" => $wsdl_pod->WSDL);
}

1;
