package HSPC::Plugin::SOAP::Struct::CollectedResult;

=begin WSDL

_ATTR plugin_data	$anyType _NEEDED No information.
_ATTR user_error	$string HSPC generated error (validations etc) for user.

=end WSDL

=cut

sub new
{
	my $me = shift;
	my %h = (@_);

	return bless {
		"plugin_data"	=> $h{plugin_data},
		"user_error"	=> ref($h{user_error}) eq "HSPC::String" ? $h{user_error}->text : $h{user_error},
	} => $me;
}

1;
