package HSPC::Plugin::SOAP::Struct::DM::EditContactFormRequest;

=begin WSDL

 _ATTR language			$string F.e. EN, RU etc.
 _ATTR template_id		$string _NEEDED F.e. PP_Dummy.
 _ATTR plugin_data		$anyType _NEEDED HASH.
 _ATTR domain			$string _NEEDED Domain name.
 _ATTR action			$string _NEEDED Domain action.
 _ATTR contact			$anyType Contact data.
 _ATTR contact_type		$string Contact type.
 _ATTR contact_extdata	$anyType Extended data.
 _ATTR old_contacts		$anyType Old contacts.
 _ATTR old_contacts_extdata $anyType Old contacts extra data.
 _ATTR request_context	$anyType HASH.

=end WSDL

=cut

sub new
{
	return bless {
		"language"		=> "EN",
		"template_id"	=> undef,
		"plugin_data"	=> undef,
		"domain"		=> undef,
		"action"		=> undef,
		"contact"		=> undef,
		"contact_type"	=> undef,
		"contact_extdata"		=> undef,
		"old_contacts"			=> undef,
		"old_contacts_extdata"	=> undef,
		"request_context"		=> undef,
	} => shift;
}

1;
