package HSPC::Plugin::SOAP::Struct::DM::EditDomainExtdataFormRequest;

=begin WSDL

 _ATTR language			$string F.e. EN, RU etc.
 _ATTR template_id		$string _NEEDED F.e. DM_Dummy.
 _ATTR plugin_data		$anyType _NEEDED HASH.
 _ATTR domain			$string _NEEDED Domain name.
 _ATTR action			$string _NEEDED Domain action.
 _ATTR domain_extdata	$anyType Extended data.
 _ATTR old_domain_extdata $anyType Old domain's extra data.
 _ATTR request_context	$anyType HASH.

=end WSDL

=cut

sub new
{
	return bless {
		"language"		=> "EN",
		"template_id"	=> undef,
		"plugin_data"	=> undef,
		"domain"		=> undef,
		"action"		=> undef,
		"domain_extdata"		=> undef,
		"old_domain_extdata"	=> undef,
		"request_context"		=> undef,
	} => shift;
}

1;
