package HSPC::Plugin::SOAP::Struct::FormResult;

use strict;

=begin WSDL

_ATTR form_onsubmit_js	$string _NEEDED No information.
_ATTR form_content		$string _NEEDED No information.
_ATTR user_error		$string HSPC generated error (validations etc) for users.

=end WSDL

=cut

sub new
{
	my $me = shift;
	my %h = (@_);

	return bless {
		"form_onsubmit_js"	=> $h{form_onsubmit_js},
		"form_content"		=> $h{form_content},
		"user_error"		=> ref($h{user_error}) eq "HSPC::String" ? $h{user_error}->text : $h{user_error},
	} => $me;
}

1;
