package HSPC::Plugin::SOAP::Struct::PP::FormRequest;

=begin WSDL

 _ATTR language			$string F.e. EN, RU etc.
 _ATTR template_id		$string _NEEDED F.e. PP_Dummy.
 _ATTR plugin_data		$anyType _NEEDED HASH.
 _ATTR request_context	$anyType _NEEDED HASH.
 _ATTR callback_url		$string Callback URL.

=end WSDL

=cut

sub new
{
	return bless {
		"language"			=> "EN",
		"template_id"		=> undef,
		"plugin_data"		=> undef,
		"request_context"	=> undef,
		"callback_url"		=> undef,
	} => shift;
}

1;
