package HSPC::PluginToolkit::DM::Translit;

use strict;
use SWsoft::protect;

use HSPC::PluginToolkit::Translit;
use HSPC::Logger qw(sw_log_warn);

sub translit_data {
	sw_log_warn("THIS METHOD IS DEPRECATED NOW! " .
		"Use HSPC::PluginToolkit::Translit::translit");
	return HSPC::PluginToolkit::Translit::translit(@_);
}

sub translit_data_utf2ascii {
	sw_log_warn("THIS METHOD IS DEPRECATED NOW! " .
		"Use HSPC::PluginToolkit::Translit::translit_utf");
	return HSPC::PluginToolkit::Translit::translit_utf(@_);
}

use base qw(Exporter);
our @EXPORT = qw(
	TTN_LIST

	TTN_GOST_16876_71
	TTN_GOST_7_79_2000
	TTN_ISO_R9_1968
	TTN_ISO_R9_1968_WOA
	TTN_CUSTOM_CYRLAT
	TTN_SPAIN_BASE
	TTN_GERMAN_BASE
	TTN_ISO_8859_1

	translit_data
	translit_data_utf2ascii
);

1;
